apiVersion: v1
kind: Namespace
metadata:
  name: example-swatch-cell
---
apiVersion: v1
kind: ResourceQuota
metadata:
  name: namespace-limits
  namespace: example-swatch-cell
spec:
  hard:
    # an individual pod cannot ask more than this
    requests.cpu: "1"
    requests.memory: 1Gi
    # the namespace total usage cannot exceed this
    limits.cpu: "1"
    limits.memory: 1Gi
    requests.storage: 5Gi
---
apiVersion: v1
kind: LimitRange
metadata:
  name: namespace-limits
  namespace: example-swatch-cell
spec:
  limits:
    # default pod limits if not set
  - default:
      cpu: ".5"
      memory: 400Mi
    # default pod request if not set
    defaultRequest:
      cpu: ".2"
      memory: 200Mi
    type: Container
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: admin-example-swatch-cell
  namespace: example-swatch-cell
subjects:
- kind: User
  name: example-swatch-cell
  apiGroup: ""
roleRef:
  kind: ClusterRole
  name: cluster-admin
  apiGroup: ""